Summary:	Userland scripts to control "laptop mode"
Name:		laptop-mode-tools
Version:	1.60
Release:	%mkrel 2
Source0:	http://www.samwel.tk/laptop_mode/tools/downloads/%{name}_%{version}.tar.xz
Patch1:		laptop-mode-tools-1.11-lsb.patch
Patch2:		laptop-mode-tools_1.60-disable-usb-autosuspend.patch
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://www.samwel.tk/laptop_mode/laptop_mode
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	suspend-scripts < 1.9.2
Requires:	hdparm
Requires:	sdparm
Requires(post):	rpm-helper
Requires(preun):rpm-helper
BuildArch:	noarch

%description
Userland scripts to control "laptop mode" Laptop mode is a Linux
kernel feature that allows your laptop to save considerable power, by
allowing the hard drive to spin down for longer periods of time. This
package contains the userland scripts that are needed to enable laptop
mode.

%prep
%setup -q -n %{name}_%{version}
%patch1 -p1 -b .lsb
%patch2 -p1

%install
rm -rf %{buildroot}

#not created during install
mkdir -p %{buildroot}%{_sysconfdir}/pm/sleep.d

DESTDIR=%{buildroot} \
INIT_D=%{buildroot}%{_initrddir} \
MAN_D=%{_mandir} \
INSTALL="install" \
  ./install.sh

%post
%_post_service laptop-mode

%preun
%_preun_service laptop-mode

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_sbindir}/*
%{_prefix}/lib/pm-utils/sleep.d/01laptop-mode
%dir %{_sysconfdir}/laptop-mode
%{_sysconfdir}/laptop-mode/*-start
%{_sysconfdir}/laptop-mode/*-stop
%dir %{_sysconfdir}/laptop-mode/*.d
/etc/udev/rules.d/99-laptop-mode.rules
/lib/udev/lmt-udev
%config(noreplace) %{_sysconfdir}/laptop-mode/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/laptop-mode/*.conf
%config(noreplace) %{_sysconfdir}/acpi/events/*
%attr(755,root,root) %{_sysconfdir}/acpi/actions/*
%{_sysconfdir}/power/event.d/laptop-mode
%{_sysconfdir}/power/scripts.d/laptop-mode
%{_sysconfdir}/apm
%{_sysconfdir}/pm
%{_initrddir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/modules
%{_datadir}/%{name}/modules/*
%{_datadir}/%{name}/module-helpers/*
%{_mandir}/man8/*



%changelog
* Mon Jun 11 2012 Neal <nealbrks0 at gmail dot com> 1.60-2pclos2012
- process

* Mon Jun 11 2012 kjpetrie <pclos dot bugs at kjpetrie dot co dot uk> 1.60-2pclos2012
- added laptop-mode-tools_1.60-disable-usb-autosuspend.patch
- converted archive to zx

* Sun Apr 08 2012 Neal <nealbrks0 at gmail dot com>
- process

* Sat Apr  7 2012 AS <as.pclos @ gmail.com> 1.60-1pclos2012
- update required because of 3.2.x kernel

* Thu Feb 18 2010 Texstar <texstar at gmail.com> 1.53-1pclos2010
- update for 2010


